Subject: bug#74966: Acknowledgement (31.0.50; Crash report (using igc on macOS))

From: Sean Devlin <[email-masked]>
Date: Thu, 19 Dec 2024 20:05:46 +0900

Hi Gerd,

> On Dec 19, 2024, at 7:28 PM, Gerd Möllmann <[email-masked]> wrote:
> 
> Sean Devlin <[email-masked]> writes:
> 
>> Also, it looks like I can reproduce this under Emacs -Q.
>> 
>> Please let me know if and how I should debug the crash.
>> 
>> Thanks!
> 
> Can you please give me a recipe? (I don't have an idea how to debug
> this, one would need to know what in the function goes wrong, possibly
> by setting a breakpoint on it, and doing some assembler. Urgs :-))

Sure, I can reproduce this just by doing:

open -n -a Emacs --args -Q
C-h d searchstring RET

And Emacs crashes right away.

Hope this helps!